Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problems with USE flags [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
grg121
n00b
n00b


Joined: 08 Aug 2016
Posts: 7

PostPosted: Mon Aug 22, 2016 12:15 pm    Post subject: Problems with USE flags [SOLVED] Reply with quote

Sorry for ask that but there are some packages that I'm unable to install.

Well. I've using gentoo for a few weeks and I can fix some issues myself but... sometimes get troubles with some packages...

I'm using kde plasma 5 and my make.conf have these USE flags:

Quote:
networkmanager bindist -gtk -gnome qt4 kde alsa dvd cdr"


Now, for example, I'm trying to install transmission but, when I execute

Code:
sudo emerge -av transmission


I got:

Quote:

!!! Problem resolving dependencies for net-p2p/transmission
... done!

!!! The ebuild selected to satisfy "transmission" has unmet requirements.
- net-p2p/transmission-2.84-r4::gentoo USE="qt4 qt5 (-ayatana) -gtk -lightweight -systemd -xfs" ABI_X86="64"

The following REQUIRED_USE flag constraints are unsatisfied:
at-most-one-of ( qt4 qt5 )

The above constraints are a subset of the following complete expression:
ayatana? ( gtk ) at-most-one-of ( qt4 qt5 )


I can't understand why portage complain about qt4 or qt5 if I have it as a global USE flag on my make.conf...

Usually, when I get some complaining of portage like this, I just make a temporal variable writing something like:

Code:
sudo USE="gtk -qt4 qt5" emerge -av transmission


but sometimes (in this case, for example) it still not working.

Then. what I try is to write that USE flags in /etc/portage/package.use/transmission like:

Code:
net-p2p/tranmission qt4 qt5 gtk ayatana xfs


and then I update gentoo with

Code:
sudo emerge --update --newuse @world 



But again it doesn't work... and I can't understand why... If I've understand correctly the wiki, when defining some temporal USE flags, these USE flags have priority over whatever-ones and, what this output said is that I need to define qt4 or qt5 (what I've donne) and, if I define ayatana, I have to define gtk, what I've donne...

Some help?? Thank you so much :/


Last edited by grg121 on Mon Aug 22, 2016 12:55 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Mon Aug 22, 2016 12:37 pm    Post subject: Re: Problems with USE flags Reply with quote

grg121 wrote:
I can't understand why portage complain about qt4 or qt5 if I have it as a global USE flag on my make.conf...

Because profile you have choose contains a default use flags (probably you have plasma profile)
Code:
$ cat /usr/portage/profiles/targets/desktop/plasma/make.defaults
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

USE="consolekit declarative dri kde kipi phonon plasma policykit qml qt5 semantic-desktop widgets xcomposite xinerama xscreensaver"


EDIT:
For transmission the correct way is add to package.use
Code:
net-p2p/tranmission -qt4 qt5 gtk xfs

for qt4 GUI or
Code:
net-p2p/tranmission qt4 -qt5 gtk xfs

for qt5 GUI not both.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
grg121
n00b
n00b


Joined: 08 Aug 2016
Posts: 7

PostPosted: Mon Aug 22, 2016 12:49 pm    Post subject: Reply with quote

:oops: I dind't know that profiles had predefined USE flags... I've done what you said and that works. Thank you :)

I need go through portage use :/
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum